#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0) * vertexColor * ColorModulator;
    if (color.a < 0.1) {
        discard;
    }
 

/*
color.a = 1;
*/




/*
if(color.r <= 256/255.0 && color.r > -1/255.0 && color.g <= 256/255.0 && color.g > -1/255.0 && color.b <= 256/255.0 && color.b > -1/255.0){
color = vec4(0.902, 0.9686, 0.2941, 1);
}
*/ 




/* XP Bar Color */
if(color.r <= 126.50/255.0 && color.r > 126.49/255.0 && color.g == 252/255.0 && color.b <= 31.63/255.0 && color.b > 31.62/255.0){
color = vec4(0.55,0.77,0.48, 1.0);
}




/* Header Text Color */
if(color.r <= 64/255.0 && color.r > 62/255.0 && color.g <= 64/255.0 && color.g > 62/255.0 && color.b <= 64/255.0 && color.b > 62/255.0){
color = vec4(0.35,0.29,0.26, 1.0);
}



/* Title Splash Yellow */
if(color.r <= 256/255.0 && color.r > 251/255.0 && color.g <= 256/255.0 && color.g > 251/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.93,0.81,0.29, 1.0);
}

/* Title Splash Yellow Shadow*/
if(color.r <= 63/255.0 && color.r > 61/255.0 && color.g <= 63/255.0 && color.g > 61/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.58,0.37,0.24, 1.0);
}



/* Red Text Color */
if(color.r <= 256/255.0 && color.r > 251/255.0 && color.g <= 86/255.0 && color.g > 83/255.0 && color.b <= 86/255.0 && color.b > 83/255.0){
color = vec4(0.76,0.38,0.30, 1.0);
}

/* Red Text Color Shadow */
if(color.r <= 63/255.0 && color.r > 61/255.0 && color.g <= 22/255.0 && color.g > 20/255.0 && color.b <= 22/255.0 && color.b > 20/255.0){
color = vec4(0.47,0.27,0.32, 1.0);
}

/* Dark Red Text Color */
if(color.r <= 171/255.0 && color.r > 167/255.0 && color.g <= 1/255.0 && color.g > -1/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.56,0.28,0.32, 1.0);
}

/* Dark Red Text Color Shadow */
if(color.r <= 63/255.0 && color.r > 61/255.0 && color.g <= 22/255.0 && color.g > 20/255.0 && color.b <= 22/255.0 && color.b > 20/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}



/* Gold Text Color */
if(color.r <= 256/255.0 && color.r > 251/255.0 && color.g <= 171/255.0 && color.g > 167/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.70,0.51,0.26, 1.0);
}

/* Gold Text Color Shadow */
if(color.r <= 63/255.0 && color.r > 61/255.0 && color.g <= 63/255.0 && color.g > 61/255.0 && color.b <= 22/255.0 && color.b > 20/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}


/* Yellow Text Color */
if(color.r <= 256/255.0 && color.r > 251/255.0 && color.g <= 256/255.0 && color.g > 251/255.0 && color.b <= 86/255.0 && color.b > 83/255.0){
color = vec4(0.93,0.81,0.29, 1.0);
}

/* Yellow Text Color Shadow */
if(color.r <= 70/255.0 && color.r > 68/255.0 && color.g <= 55/255.0 && color.g > 53/255.0 && color.b <= 52/255.0 && color.b > 50/255.0){
color = vec4(0.58,0.37,0.24, 1.0);
}


/* Green Text Color */
if(color.r <= 86/255.0 && color.r >= 83/255.0 && color.g <= 256/255.0 && color.g >= 251/255.0 && color.b <= 86/255.0 && color.b >= 83/255.0){
color = vec4(0.60,0.59,0.15, 1.0);
}

/* Green Text Color Shadow */
if(color.r <= 23/255.0 && color.r > 19/255.0 && color.g <= 65/255.0 && color.g > 61/255.0 && color.b <= 23/255.0 && color.b > 19/255.0){
color = vec4(0.28,0.30,0.15, 1.0);
} 


/* Dark Green Text Color */
if(color.r <= 1/255.0 && color.r > -1/255.0 && color.g <= 171/255.0 && color.g > 167/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.35,0.40,0.13, 1.0);
}

/* Dark Green Text Color Shadow */
if(color.r <= 1/255.0 && color.r > -1/255.0 && color.g <= 43/255.0 && color.g > 41/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}



/* Aqua Text Color */
if(color.r <= 86/255.0 && color.r > 83/255.0 && color.g <= 256/255.0 && color.g > 251/255.0 && color.b <= 256/255.0 && color.b > 251/255.0){
color = vec4(0.33,0.87,0.70, 1.0);
}

/* Aqua Text Color Shadow */
if(color.r <= 22/255.0 && color.r > 20/255.0 && color.g <= 63/255.0 && color.g > 61/255.0 && color.b <= 63/255.0 && color.b > 61/255.0){
color = vec4(0.02,0.42,0.65, 1.0);
}

/* Dark Aqua Text Color */
if(color.r <= 1/255.0 && color.r > -1/255.0 && color.g <= 169/255.0 && color.g > 167/255.0 && color.b <= 169/255.0 && color.b > 167/255.0){
color = vec4(0.21,0.71,0.69, 1.0);
}

/* Dark Aqua Text Color Shadow */
if(color.r <= 22/255.0 && color.r > 20/255.0 && color.g <= 63/255.0 && color.g > 61/255.0 && color.b <= 63/255.0 && color.b > 61/255.0){
color = vec4(0.21,0.28,0.39, 1.0);
}



/* Blue Text Color */
if(color.r <= 86/255.0 && color.r > 83/255.0 && color.g <= 86/255.0 && color.g > 83/255.0 && color.b <= 256/255.0 && color.b > 251/255.0){
color = vec4(0.02,0.50,0.64, 1.0);
}

/* Blue Text Color Shadow */
if(color.r <= 22/255.0 && color.r > 20/255.0 && color.g <= 22/255.0 && color.g > 20/255.0 && color.b <= 63/255.0 && color.b > 61/255.0){
color = vec4(0.28,0.25,0.31, 1.0);
}

/* Dark Blue Text Color */
if(color.r <= 1/255.0 && color.r > -1/255.0 && color.g <= 1/255.0 && color.g > -1/255.0 && color.b <= 171/255.0 && color.b > 167/255.0){
color = vec4(0.08,0.35,0.53, 1.0);
}

/* Dark Blue Text Color Shadow */
if(color.r <= 22/255.0 && color.r > 20/255.0 && color.g <= 63/255.0 && color.g > 61/255.0 && color.b <= 63/255.0 && color.b > 61/255.0){
color = vec4(0.28,0.25,0.31, 1.0);
}



/* Purple Text Color */
if(color.r <= 256/255.0 && color.r > 251/255.0 && color.g <= 86/255.0 && color.g > 83/255.0 && color.b <= 256/255.0 && color.b > 251/255.0){
color = vec4(0.67,0.38,0.61, 1.0);
}

/* Purple Text Color Shadow */
if(color.r <= 64/255.0 && color.r > 62/255.0 && color.g <= 22/255.0 && color.g > 20/255.0 && color.b <= 64/255.0 && color.b > 62/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}

/* Dark Purple Text Color */
if(color.r <= 171/255.0 && color.r > 167/255.0 && color.g <= 1/255.0 && color.g > -1/255.0 && color.b <= 171/255.0 && color.b > 167/255.0){
color = vec4(0.40,0.30,0.43, 1.0);
}

/* Dark Purple Text Color Shadow */
if(color.r <= 51/255.0 && color.r > 40/255.0 && color.g <= 16/255.0 && color.g > -1/255.0 && color.b <= 44/255.0 && color.b > 40/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}



/* Black Text Color */
if(color.r <= 1/255.0 && color.r > -1/255.0 && color.g <= 1/255.0 && color.g > -1/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}



/* Dark Gray Text Color */
if(color.r <= 85/255.0 && color.r > 83/255.0 && color.g <= 85/255.0 && color.g > 83/255.0 && color.b <= 85/255.0 && color.b > 83/255.0){
color = vec4(0.49,0.38,0.37, 1.0);
}

/* Dark Gray Text Color Shadow */
if(color.r <= 22/255.0 && color.r > 20/255.0 && color.g <= 22/255.0 && color.g > 20/255.0 && color.b <= 22/255.0 && color.b > 20/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}


/* Gray Text Color */
if(color.r <= 171/255.0 && color.r > 169/255.0 && color.g <= 171/255.0 && color.g > 169/255.0 && color.b <= 171/255.0 && color.b > 169/255.0){
color = vec4(0.62,0.51,0.46, 1.0);
}

/* Gray Text Color Shadow */
if(color.r <= 42/255.0 && color.r > 40/255.0 && color.g <= 42/255.0 && color.g > 40/255.0 && color.b <= 42/255.0 && color.b > 40/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}


/* Other Gray Text Color */
if(color.r <= 169/255.0 && color.r > 167/255.0 && color.g <= 169/255.0 && color.g > 167/255.0 && color.b <= 169/255.0 && color.b > 167/255.0){
color = vec4(0.62,0.51,0.46, 1.0);
}

/* Other Gray Text Color Shadow */
if(color.r <= 42/255.0 && color.r > 40/255.0 && color.g <= 42/255.0 && color.g > 40/255.0 && color.b <= 42/255.0 && color.b > 40/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
} 
 

/* Other Light Gray Text Color */
if(color.r <= 127/255.0 && color.r > 125/255.0 && color.g <= 127/255.0 && color.g > 125/255.0 && color.b <= 127/255.0 && color.b > 125/255.0){
color = vec4(0.66,0.57,0.49, 1.0);
}

/* Other Light Gray Text Color Shadow */
if(color.r <= 33/255.0 && color.r > 31/255.0 && color.g <= 33/255.0 && color.g > 31/255.0 && color.b <= 33/255.0 && color.b > 31/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
} 



/* White Text Color */
if(color.r <= 256/255.0 && color.r > 228/255.0 && color.g <= 256/255.0 && color.g > 228/255.0 && color.b <= 256/255.0 && color.b > 228/255.0){
color = vec4(0.91,0.86,0.80, 1.0);
}



/* New Recipe Text Purple */
if(color.r <= 82/255.0 && color.r > 78/255.0 && color.g <= 2/255.0 && color.g > -2/255.0 && color.b <= 82/255.0 && color.b > 78/255.0){
color = vec4(0.67,0.38,0.61, 1.0);
}


/* Achievement Text Pink */
if(color.r <= 256/255.0 && color.r > 253/255.0 && color.g <= 138/255.0 && color.g > 134/255.0 && color.b <= 256/255.0 && color.b > 253/255.0){
color = vec4(0.90,0.51,0.59, 1.0);
}


/* Statistics Text Gray */
if(color.r <= 146/255.0 && color.r > 142/255.0 && color.g <= 146/255.0 && color.g > 142/255.0 && color.b <= 146/255.0 && color.b > 142/255.0){
color = vec4(0.62,0.51,0.46, 1.0);
}

/* Statistics Text Gray Shadow */
if(color.r <= 38/255.0 && color.r > 34/255.0 && color.g <= 38/255.0 && color.g > 34/255.0 && color.b <= 38/255.0 && color.b > 34/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}


/* Statistics Text Gray Too */
if(color.r <= 98/255.0 && color.r > 94/255.0 && color.g <= 98/255.0 && color.g > 94/255.0 && color.b <= 98/255.0 && color.b > 94/255.0){
color = vec4(0.49,0.38,0.37, 1.0);
}

/* Statistics Text Gray Too Shadow */
if(color.r <= 26/255.0 && color.r > 22/255.0 && color.g <= 26/255.0 && color.g > 22/255.0 && color.b <= 26/255.0 && color.b > 22/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}







/* Redstone Trim Text */
if(color.r <= 151/255.0 && color.r > 147/255.0 && color.g <= 24/255.0 && color.g > 20/255.0 && color.b <= 9/255.0 && color.b > 5/255.0){
color = vec4(0.76,0.38,0.30, 1.0);
}
/* Redstone Trim Text Shadow */
if(color.r <= 39/255.0 && color.r > 35/255.0 && color.g <= 7/255.0 && color.g > 3/255.0 && color.b <= 3/255.0 && color.b > 0/255.0){
color = vec4(0.47,0.27,0.32, 1.0); 
}


/* Copper Trim Text */
if(color.r <= 180/255.0 && color.r > 176/255.0 && color.g <= 105/255.0 && color.g > 101/255.0 && color.b <= 78/255.0 && color.b > 74/255.0){
color = vec4(0.75,0.54,0.33, 1.0);
}

/* Copper Trim Text Shadow */
if(color.r <= 46/255.0 && color.r > 44/255.0 && color.g <= 28/255.0 && color.g > 24/255.0 && color.b <= 21/255.0 && color.b > 17/255.0){
color = vec4(0.44,0.22,0.23, 1.0); 
}


/* Gold Trim Text */
if(color.r <= 221/255.0 && color.r > 217/255.0 && color.g <= 177/255.0 && color.g > 173/255.0 && color.b <= 46/255.0 && color.b > 42/255.0){
color = vec4(0.70,0.51,0.26, 1.0);
}

/* Gold Trim Text Shadow */
if(color.r <= 56/255.0 && color.r > 52/255.0 && color.g <= 45/255.0 && color.g > 41/255.0 && color.b <= 13/255.0 && color.b > 9/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}
 

/* Emerald Trim Text */
if(color.r <= 19/255.0 && color.r > 15/255.0 && color.g <= 160/255.0 && color.g > 156/255.0 && color.b <= 55/255.0 && color.b > 51/255.0){
color = vec4(0.27,0.60,0.44, 1.0);
}

/* Emerald Trim Text Shadow */
if(color.r <= 6/255.0 && color.r > 2/255.0 && color.g <= 41/255.0 && color.g > 37/255.0 && color.b <= 15/255.0 && color.b > 11/255.0){
color = vec4(0.21,0.28,0.39, 1.0); 
} 
 

/* Diamond Trim Text */
if(color.r <= 111/255.0 && color.r > 107/255.0 && color.g <= 235/255.0 && color.g > 231/255.0 && color.b <= 209/255.0 && color.b > 205/255.0){
color = vec4(0.33,0.87,0.70, 1.0);
}

/* Diamond Trim Text Shadow */
if(color.r <= 29/255.0 && color.r > 25/255.0 && color.g <= 60/255.0 && color.g > 56/255.0 && color.b <= 53/255.0 && color.b > 49/255.0){
color = vec4(0.02,0.42,0.65, 1.0);
}  
 

/* Lapis Trim Text */
if(color.r <= 66/255.0 && color.r > 62/255.0 && color.g <= 111/255.0 && color.g > 107/255.0 && color.b <= 151/255.0 && color.b > 147/255.0){
color = vec4(0.02,0.50,0.64, 1.0);
}

/* Lapis Trim Text Shadow */
if(color.r <= 18/255.0 && color.r > 14/255.0 && color.g <= 29/255.0 && color.g > 25/255.0 && color.b <= 39/255.0 && color.b > 35/255.0){
color = vec4(0.28,0.25,0.31, 1.0);
}  
 

/* Amethyst Trim Text */
if(color.r <= 154/255.0 && color.r > 150/255.0 && color.g <= 93/255.0 && color.g > 89/255.0 && color.b <= 198/255.0 && color.b > 194/255.0){
color = vec4(0.59,0.37,0.58, 1.0);
}

/* Amethyst Trim Text Shadow */
if(color.r <= 40/255.0 && color.r > 36/255.0 && color.g <= 25/255.0 && color.g > 21/255.0 && color.b <= 50/255.0 && color.b > 46/255.0){
color = vec4(0.28,0.25,0.31, 1.0); 
}  
 

/* Netherite Trim Text */
if(color.r <= 99/255.0 && color.r > 95/255.0 && color.g <= 89/255.0 && color.g > 85/255.0 && color.b <= 90/255.0 && color.b > 86/255.0){
color = vec4(0.47,0.42,0.35, 1.0);
}

/* Netherite Trim Text Shadow */
if(color.r <= 26/255.0 && color.r > 22/255.0 && color.g <= 24/255.0 && color.g > 20/255.0 && color.b <= 24/255.0 && color.b > 20/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}   
 

/* Iron Trim Text */
if(color.r <= 235/255.0 && color.r > 231/255.0 && color.g <= 235/255.0 && color.g > 231/255.0 && color.b <= 235/255.0 && color.b > 231/255.0){
color = vec4(0.62,0.51,0.46, 1.0);
}

/* Iron Trim Text Shadow */
if(color.r <= 60/255.0 && color.r > 56/255.0 && color.g <= 60/255.0 && color.g > 56/255.0 && color.b <= 60/255.0 && color.b > 56/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}    
 

/* Quartz Trim Text */
if(color.r <= 226/255.0 && color.r > 222/255.0 && color.g <= 211/255.0 && color.g > 207/255.0 && color.b <= 196/255.0 && color.b > 192/255.0){
color = vec4(0.91,0.86,0.80, 1.0);
}

/* Quartz Trim Text Shadow */
if(color.r <= 57/255.0 && color.r > 53/255.0 && color.g <= 54/255.0 && color.g > 50/255.0 && color.b <= 50/255.0 && color.b > 46/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}      
 

/* Resin Trim Text */
if(color.r <= 251/255.0 && color.r > 247/255.0 && color.g <= 121/255.0 && color.g > 117/255.0 && color.b <= 20/255.0 && color.b > 16/255.0){
color = vec4(0.85,0.56,0.21, 1.0);
}

/* Resin Trim Text Shadow */
if(color.r <= 64/255.0 && color.r > 60/255.0 && color.g <= 32/255.0 && color.g > 28/255.0 && color.b <= 6/255.0 && color.b > 2/255.0){
color = vec4(0.66,0.31,0.31, 1.0);
} 
 



/* New World Text Field Text */
if(color.r <= 226/255.0 && color.r > 222/255.0 && color.g <= 226/255.0 && color.g > 222/255.0 && color.b <= 226/255.0 && color.b > 222/255.0){
color = vec4(0.91,0.86,0.80, 1.0);
}

/* New World Text Field Text Shadow */
if(color.r <= 58/255.0 && color.r > 54/255.0 && color.g <= 58/255.0 && color.g > 4/255.0 && color.b <= 58/255.0 && color.b > 54/255.0){
color = vec4(0.27,0.21,0.20, 1.0);
}



/* Enchanting Table and Anvil XP Text */
if(color.r <= 130/255.0 && color.r > 126/255.0 && color.g <= 256/255.0 && color.g > 253/255.0 && color.b <= 34/255.0 && color.b > 30/255.0){
color = vec4(0.54,0.55,0.14, 1.0);
}





/* if(color.r <= 256/255.0 && color.r > -1/255.0 && color.g <= 256/255.0 && color.g > -1/255.0 && color.b <= 256/255.0 && color.b > -1/255.0){
color = vec4(0.902, 0.2686, 0.2941, 1);
} */


/*
if(color.r <= 256/255.0 && color.r > -1/255.0 && color.g <= 256/255.0 && color.g > -1/255.0 && color.b <= 256/255.0 && color.b > -1/255.0){
color = vec4(0.902, 0.9686, 0.2941, 1);
}
*/



    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);
}


